/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.seatunnel.common.utils;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLClassLoader;

public class ReflectionUtilsTest {

    @Test
    public void testInvoke() throws MalformedURLException {
        ReflectionUtils.invoke(new String[] {}, "toString");

        URLClassLoader classLoader =
                new URLClassLoader(new URL[] {}, Thread.currentThread().getContextClassLoader());
        ReflectionUtils.invoke(classLoader, "addURL", new URL("file:///test"));
        Assertions.assertArrayEquals(classLoader.getURLs(), new URL[] {new URL("file:///test")});
    }
}
